Create KYC Summary Report

Create a report containing KYC flagged workers by company.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

NOTE: This endpoint is subject to frequent changes.

Creates a KYC Summary report, returning KYC flagged workers for a specified company and utilizing optional filters such as employment status or KYC status as outlined in the body parameters of the reference.

This endpoint will return a job_id instead of the raw data itself. As the data returned from this endpoint can be large, we utilize a job queue to process this data instead of an immediate synchronous response. Once the job status is marked as complete, the report can be downloaded using the Download Report endpoint.

Returns

attributetypedescription
successbooleanResponse status
dataobjectjob_id for KYC Summary Report
errorsarrayContains a list of error objects which consists of:
message: Error message
code: Error code as described in Error codes
Body Params
string
required

ID of the Company.

string
enum
required

Filters the report by workers' employment status. Accepts: "live", "leave", or "terminated" as values.

Allowed:
string
enum

Filters the report by KYC status. Accepts: "all", "failed", or "approved" as values.

Allowed:
string
required
Defaults to csv

The Media Type of the report. Currently only accepts CSV.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json